* chapter6.do
* gss 2002 chapter 6.dta
* variables include
*   sex
*   sexfreq
*   marital
**************************************************************
use "gss 2002 chapter 6", clear
tabulate sex wwwmusic, row
tabulate sex wwwmusic, chi2 expected row
* Type -findit chitable- to find and install the -chitable- command
chitable
tabulate wwwmusic sex, col 
tabulate wwwmusic sex, chi2 column
gen p = 1 - chi2(1,10.0509)
list p in 1/1
codebook happy health

tabulate health happy, chi2 column gamma row V taub 
ssc install tabplot

tabplot health happy
label var sex "respondent sex"
tabulate sex abany
* interactive tables
tabi 215 269\172 244, chi2 row V
label var sex "Gender"
table sex, contents(mean hrs1 sd hrs1 freq) row
table sex marital, contents(mean hrs1 sd hrs1 freq) row

graph bar (mean) hrs1, over(sex) over(marital) blabel(bar, format(%9.1f)) ///
  title(Hours Worked Last Week) subtitle(By Gender and Marital Status) ///
  scheme(s1mono)
